%define fw_version 5.24

Summary:	KDE Frameworks 5 addons module for Qt Model/View
Name:		kitemmodels
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5QuickWidgets)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 addons module for Qt Model/View.

KItemModels provides various models:
* KBreadcrumbSelectionModel - Selects the parents of selected items to create
  breadcrumbs
* KCheckableProxyModel - Adds a checkable capability to a source model
* KDescendantsProxyModel - Proxy Model for restructuring a Tree into a list
* KLinkItemSelectionModel - Share a selection in multiple views which do not
  have the same source model
* KModelIndexProxyMapper - Mapping of indexes and selections through proxy
  models
* KRecursiveFilterProxyModel - Recursive filtering of models
* KSelectionProxyModel - A Proxy Model which presents a subset of its source
  model to observers

#----------------------------------------------------------------------------

%define kf5itemmodels_major 5
%define libkf5itemmodels %mklibname kf5itemmodels %{kf5itemmodels_major}

%package -n %{libkf5itemmodels}
Summary:	KDE Frameworks 5 KItemModels shared library
Group:		System/Libraries

%description -n %{libkf5itemmodels}
KDE Frameworks 5 KItemModels shared library.

%files -n %{libkf5itemmodels}
%{_kde5_libdir}/libKF5ItemModels.so.%{kf5itemmodels_major}*

#----------------------------------------------------------------------------

%define devkf5itemmodels %mklibname kf5itemmodels -d

%package -n %{devkf5itemmodels}
Summary:	Development files for KDE Frameworks 5 KItemModels
Group:		Development/KDE and Qt
Requires:	%{libkf5itemmodels} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5itemmodels-devel = %{version}

%description -n %{devkf5itemmodels}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5itemmodels}
%{_kde5_includedir}/KF5/KItemModels
%{_kde5_includedir}/KF5/kitemmodels_version.h
%{_kde5_libdir}/cmake/KF5ItemModels
%{_kde5_libdir}/libKF5ItemModels.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (fc82720) New version 5.24.0


